# DIGS tool Contributor Guidelines

Welcome to DIGS tool ! We appreciate your interest in contributing to our project. By contributing, you help make DIGS tool  a better resource for the community.

## Table of Contents

- [How to Contribute](#how-to-contribute)
- [Code of Conduct](#code-of-conduct)
- [Reporting Bugs](#reporting-bugs)
- [Suggesting Enhancements](#suggesting-enhancements)
- [Pull Requests](#pull-requests)
- [Style Guide](#style-guide)
- [License](#license)

## How to Contribute

### Reporting Bugs

If you encounter a bug, please help us by providing detailed information. You can report bugs by:

1. Checking the existing issues to see if the bug has already been reported.
2. Creating a new issue, including a clear and descriptive title, steps to reproduce the bug, and any relevant error messages or screenshots.

### Suggesting Enhancements

We welcome suggestions for new features or enhancements. To suggest an enhancement:

1. Check the existing issues to make sure your idea hasn't been suggested.
2. Create a new issue, explaining the enhancement you'd like to see and why it would be valuable.

### Pull Requests

If you want to contribute directly to the codebase:

1. Fork the repository and create a new branch for your feature or bug fix.
2. Make your changes and ensure the existing tests pass.
3. Add tests for your changes if applicable.
4. Update the documentation to reflect your changes.
5. Submit a pull request, providing a clear description of your changes and reference any related issues.

## Code of Conduct

Please review and adhere to our [Code of Conduct](./code_of_conduct.md). By participating, you are expected to uphold this code. Report any unacceptable behavior to [robert.gifford@glasgow.ac.uk](mailto:robert.gifford@glasgow.ac.uk).

## Style Guide

Please follow the existing code style within the DIGS tool project to maintain consistency across the codebase.

## License

By contributing to DIGS tool , you agree that your contributions will be licensed under the [GNU Affero General Public License v. 3.0](https://www.gnu.org/licenses/agpl-3.0.en.html).

Thank you for contributing to DIGS tool !
